<?
/*
     MinieditorTextarea ralis par Djchouix
     Web site = http://lebrikabrak.free.fr/
     e-mail   = lebrikabrak@free.fr
	 version 1.3 (25 septembre 2005) compatibilit avec guppy v4.5.x
*/

header("Pragma: no-cache");
define("CHEMIN", "../../../../");
include(CHEMIN."inc/includes.inc");
//Protection contre les petits curieux
include(CHEMIN.'admin/editors/action.php');
if ($wri == "admin") {
    if (FileDBExist(CHEMIN."admin/mdp.php")) {
        @include(CHEMIN."admin/mdp.php");
	} else {
	    $mdp="bad";
	}
} else {
    if (FileDBExist(CHEMIN.'admin/'.REDACREP.$wri.INCEXT)) {
        @include(CHEMIN.'admin/'.REDACREP.$wri.INCEXT);
        $mdp=md5($drtuser[38]);
    } else {
        $mdp="bad";
    }
}
$portalname="GuppyAdmin";
if (empty($_COOKIE[$portalname]) || $_COOKIE[$portalname] != crc32($mdp)) {
    die('Une erreur d\'identification est survenue. Veuillez contacter l\'administrateur du site.');
} else {
//Fin de protection

//Control des variable
$lng = isset($_GET['lng']) ? $_GET['lng'] : NULL;
$nameform = isset($_GET['nameform']) ? $_GET['nameform'] : NULL;
$nametextarea = isset($_GET['nametextarea']) ? $_GET['nametextarea'] : NULL;
if(!eregi("^[a-z]+$",$lng) || !eregi("^[-a-z0-9_]+$",$nameform) || !eregi("^[-a-z0-9_]+$",$nametextarea)) die("Erreur dans le nom des variables passes dans l'URL !!");
$stylecolor = isset($_GET['stylecolor']) ? $_GET['stylecolor'] : NULL;
if($stylecolor != 'color' && $stylecolor != 'background-color') die('Erreur dans le nom des variables !!');

$pathDirMinieditor = 'admin/editors/';    //chemin relatif du rpertoire du miniditeur ( ne pas modifier pour ne pas perdre la compatibilit avec les autres plugins)
// Insertion du fichier de langue
if(file_exists(CHEMIN.$pathDirMinieditor.'minieditortextarea/lang/'.$lng.'_minieditortextarea.inc')) {
	include(CHEMIN.$pathDirMinieditor.'minieditortextarea/lang/'.$lng.'_minieditortextarea.inc');
} else {
	include(CHEMIN.$pathDirMinieditor.'minieditortextarea/lang/en_minieditortextarea.inc'); // fichier de langue par dfaut
}

//Rcupration de la config du miniditor
$path_minieditortextarea_config = isset($_GET['pathconfig']) ? $_GET['pathconfig'] : NULL;
$path_minieditortextarea_config = strip_tags($path_minieditortextarea_config);
if(isset($path_minieditortextarea_config) && $path_minieditortextarea_config != '' && eregi("^[-a-z0-9_]{1}[-a-z0-9_\/]*\/$",$path_minieditortextarea_config) && file_exists(CHEMIN.$path_minieditortextarea_config.'minieditortextarea_config.inc')) {
	include(CHEMIN.$path_minieditortextarea_config.'minieditortextarea_config.inc');  //CONFIGURATION MINIEDITEUR
} else {
	include(CHEMIN.$pathDirMinieditor.'minieditortextarea/minieditortextarea_config.inc');  //CONFIGURATION MINIEDITEUR PAR DEFAUT
}

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title><? echo $lang_minieditor[36]; ?></title>
<style type="text/css" >
body {
 	font-size:12pt;
 	font-family:"Times New Roman" , Arial, sans-serif;
 	color:<? echo $colorTextCorp; ?>; 
 	background-color:<? echo $colorFondCorp; ?>;
	margin:0px;
 	padding:0px;
}

form {
	margin:0px;
}

div input {
	vertical-align:middle;
}

div.corps {
	text-align:center;
	margin-left:auto;
	margin-right:auto;
	margin-top:15px;
	width:198px;
	border-left:1px solid #000000;
	border-top:1px solid #OOOOOO;
	cursor:pointer;
}

div.color {
	float:left;
	height:10px;
	width:10px;
	border-bottom:1px solid #000000;
	border-right:1px solid #000000; 
}

hr {
	clear:left;
	background-color:transparent;
	color:transparent;
	border:0px none transparent;
}

div.corps0 {
	margin-top:15px;
	text-align:center;
	margin-left:auto;
	margin-right:auto;
	width:200px;
}

div.corps1 {
	padding-top:5px;
}

div.corps2 {
	text-align:center;
	margin-top:15px;
}

#f_color {
	margin-left:2px;
	margin-right:2px;
	width:65px;
}

#f_preview {
	float:right;
	height:30px;
	width:30px;
	border:1px solid #000000;
	margin-right:8px;
	background-color: #000000;
	color:#000000;
}

#linkOK {
	width:60px;
	font-size:10pt;
	cursor:pointer;
}

#linkCancel {
	width:60px;
	font-size:10pt;
	margin-left:15px;
	cursor:pointer;
}
</style>
<?
include(CHEMIN.$pathDirMinieditor.'minieditortextarea/popup/jscript_popup.inc');  //FONCTION JAVASCRIPT

echo '</head>';
echo '<body>';
	echo '<form name="addcolortext" action ="self" method="post">';
		echo '<div class="corps">';
    	$col_r = 0;
    	$col_g = 0;
    	$col_b = 0;
    	$block_return = 0;
    	while($col_r <= 255) {
       		$col_g = 0;
       		$block_return++;
      		while($col_g <= 255) {
           		$col_b = 0;
           		while($col_b <= 255) {
               		$red = strtoupper(dechex($col_r));
               		$green = strtoupper(dechex($col_g));
               		$blue = strtoupper(dechex($col_b));
               		$color = str_pad($red,2,'0',STR_PAD_LEFT)."".str_pad($green,2,'0',STR_PAD_LEFT)."".str_pad($blue,2,'0',STR_PAD_LEFT);
               		echo '<div class="color" style="background-color:#'.$color.';  color:#'.$color.';" onmouseover="ColorPreview(\''.$color.'\');" onmouseout="ColorPreview(\'000000\');" onclick="AddColor(\''.$stylecolor.'\',\''.$nameform.'\',\''.$nametextarea.'\');"></div>';
               		$col_b += 51;
          		}
          		$col_g += 51;
      		}
      		$col_r += 51;
    	}
    	$col = 15;
    	while($col <= 255) {
        	$red = strtoupper(dechex($col));
        	$green = strtoupper(dechex($col));
        	$blue = strtoupper(dechex($col));
        	$color = str_pad($red,2,'0',STR_PAD_LEFT)."".str_pad($green, 2,'0',STR_PAD_LEFT)."".str_pad($blue,2,'0',STR_PAD_LEFT);
        	echo '<div class="color" style="background-color:#'.$color.'; color:#'.$color.';" onmouseover="ColorPreview(\''.$color.'\');" onmouseout="ColorPreview(\'000000\');" onclick="AddColor(\''.$stylecolor.'\',\''.$nameform.'\',\''.$nametextarea.'\');"></div>';
        	$col += 14;
    	}
		echo '</div>';
		echo '<hr />';
		echo '<div class="corps0">';		
		echo '<div id="f_preview"></div>';	
		echo '<div class="corps1" >';
		echo $lang_minieditor[37].' : <input type="text" name="f_color" id="f_color" value="#000000" onkeyup="document.getElementById(\'f_preview\').style.backgroundColor = document.getElementById(\'f_color\').value;" />'."\n";
		echo '</div>';
		echo '</div>';
		echo '<div class="corps2" >';
		echo '<input type="button" name="linkOK" id="linkOK" onclick="AddColor(\''.$stylecolor.'\',\''.$nameform.'\',\''.$nametextarea.'\');" value="'.$lang_minieditor[0].'" />';
		echo '<input type="button" name="linkCancel" id="linkCancel" onclick="window.close();" value="'.$lang_minieditor[1].'" />';
		echo '</div>';
	echo '</form>';
?>
</body>
</html>
<?
}
?>
